| HaXml | Contents | Index

Text.XML.HaXml.Xtract.Lex

Description
This is another hand-written lexer, this time for the Xtract command-language. The entry point is lexXtract. You don't normally need to use this module directly - the lexer is called automatically by the parser. (We only expose this interface for debugging purposes.) The Xtract command language is very like the XPath specification.
Synopsis

lexXtract :: String -> [Token]
data Posn = Pn Int

data TokenT

= Symbol String
| TokString String
| TokNum Integer

type Token = Either String (Posn, TokenT)

Produced by Haddock version 0.6